Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0020692
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2012-06-06 17:022012-06-22 09:15
ReporterxabiermerinoView Statuspublic 
Assigned Tojecharri 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision9c63ed5331ae
ProjectionnoneETAnoneTarget Version3.0MP13
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP11SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0020692: Error 'Out of range' in invoices with two or more orders related

DescriptionIn the window 'Add details' (payment in), if an invoice is related with two or more order and you search as transaction type 'invoice', only one line appears:

Order1, Order 2 ----> Invoice 1

When you select it and, then, you search others invoices (using the busines partner selector) the amount of the first line selected dissapears and the error 'Out of range' appears
Steps To Reproduce-As admin create 2 sales orders for the same BP
-Create a sales invoice and add these two order's lines
- Create a payment in and click 'Add details'
- Select the invoice created
- Search another BP
- Realize that the amount dissapers and the error appears
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0049676)
hgbot (developer)
2012-06-07 13:59

Repository: erp/devel/pi
Changeset: 9c63ed5331ae151159839faf6b791dac6a40467f
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Thu Jun 07 13:58:23 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/9c63ed5331ae151159839faf6b791dac6a40467f [^]

Fixes issue 20692: Error 'Out of range' in invoices with two or more orders related

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.java
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
---
(0049677)
hgbot (developer)
2012-06-07 15:26

Repository: erp/devel/pi
Changeset: 31b97197da472af9a67876705ec26df9bfb570af
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Thu Jun 07 15:26:04 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/31b97197da472af9a67876705ec26df9bfb570af [^]

issue 20692: Error 'Out of range' in invoices with two or more orders related

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/ad_actionbutton/AddOrderOrInvoice.html
---
(0049704)
hgbot (developer)
2012-06-08 10:57

Repository: erp/devel/pi
Changeset: b37708f3bc77e69d3df41ef8ab6daf2b299ca0a1
Author: Javier Etxarri <javier.echarri <at> openbravo.com>
Date: Fri Jun 08 10:55:44 2012 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b37708f3bc77e69d3df41ef8ab6daf2b299ca0a1 [^]

Fixes issue 20709: NPE when adding a payment from invoice
issue 20692: Error 'Out of range' in invoices with two or more orders related

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
---
(0050013)
xabiermerino (reporter)
2012-06-22 09:15

verified

- Issue History
Date Modified Username Field Change
2012-06-06 17:02 xabiermerino New Issue
2012-06-06 17:02 xabiermerino Assigned To => mirurita
2012-06-06 17:02 xabiermerino Modules => Core
2012-06-06 17:03 xabiermerino Issue Monitored: networkb
2012-06-06 17:14 jonalegriaesarte Assigned To mirurita => jecharri
2012-06-06 17:14 jonalegriaesarte Priority urgent => immediate
2012-06-07 13:59 hgbot Checkin
2012-06-07 13:59 hgbot Note Added: 0049676
2012-06-07 13:59 hgbot Status new => resolved
2012-06-07 13:59 hgbot Resolution open => fixed
2012-06-07 13:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9c63ed5331ae151159839faf6b791dac6a40467f [^]
2012-06-07 15:26 hgbot Checkin
2012-06-07 15:26 hgbot Note Added: 0049677
2012-06-08 10:57 hgbot Checkin
2012-06-08 10:57 hgbot Note Added: 0049704
2012-06-22 09:15 xabiermerino Note Added: 0050013
2012-06-22 09:15 xabiermerino Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker